Bug 3184 - kernel was updated to 3.10.19 version [UPDATE REQUEST]
: kernel was updated to 3.10.19 version [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 12:31 MSK by Alexander Burmashev
Modified: 2013-12-16 11:19 MSK (History)
2 users (show)

See Also:
RPM Package: kernel
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-11-19 12:31:37 MSK
kernel was updated to 3.10.19 version
Comment 1 Alexander Burmashev 2013-11-19 12:41:40 MSK
Advisory:
Kernel was updated to 3.10.19 version. It includes a lot of upstream fixes and patches and some specific fixes that are very important for us, like
  * CONFIG_INTEL_MEI from "=y" to "=m"
  * CONFIG_INTEL_MEI_ME from "=y" to "=m"
modified BFS patch compatible with
  the ondemand speed-up patch, so also nrjQL can perform even better..
* https://wiki.archlinux.org/index.php/Unified_Extensible_Firmware_Interface#Linux_Kernel_Config_options_for_UEFI
  * add CONFIG_RELOCATABLE=y also for i386.config
  * change CONFIG_EFIVAR_FS from "=m" to "=y"
  * change CONFIG_EFI_VARS from "=y" to "=n"
and much more

Buildlists:
x86_64
https://abf.rosalinux.ru/build_lists/1390542
https://abf.rosalinux.ru/build_lists/1390606
i586
https://abf.rosalinux.ru/build_lists/1390541
https://abf.rosalinux.ru/build_lists/1390605
Comment 2 Postnikov Dmitry 2013-11-21 10:38:41 MSK
************************
Extended testing report
************************
We  tested in 5 computers.
There are probably one and the same problem. Maybe the kernel and can be systemd.
1. Bug 3189
2. Another tester, do not write files on a flash drive. Same error "Buffer I/O ..." as in Bug 3189.

 	
Everything else works fine.
Comment 3 Vladimir Potapov 2013-11-22 07:04:24 MSK
 cpupower-3.10.19-1-rosa2012.1
kernel-desktop-latest-3.10.19-1.1-rosa2012.1
*********************** Advisory **************************
Kernel was updated to 3.10.19 version. 
*********************** Changelog *************************
It includes a lot of upstream fixes and patches and some specific fixes that are very important for us, like
  * CONFIG_INTEL_MEI from "=y" to "=m"
  * CONFIG_INTEL_MEI_ME from "=y" to "=m"
modified BFS patch compatible with
  the ondemand speed-up patch, so also nrjQL can perform even better..
* https://wiki.archlinux.org/index.php/Unified_Extensible_Firmware_Interface#Linux_Kernel_Config_options_for_UEFI
  * add CONFIG_RELOCATABLE=y also for i386.config
  * change CONFIG_EFIVAR_FS from "=m" to "=y"
  * change CONFIG_EFI_VARS from "=y" to "=n"
and much more
***********************************************************
QA Verified